import {createUseWhereList} from 'api/buildApiHook';
import {pipe, getProp, maybeToAsync} from 'crocks';
import raw from 'raw.macro';


export const useCompanyOrders = createUseWhereList({
    graphQl: raw('./graphql/GetAll.graphql'),
    asyncMapFromApi: pipe(
        maybeToAsync('prop \'tx_company_order\' expected but not found.', getProp('tx_company_order'))
    ),
    infinite: true,
});
