import {lazy} from 'react';
import i18next from 'i18next';

import {
  getExactRoute,
  getHiddenRoute
} from 'util/react';

import EN from './i18n/en.json';
import LT from './i18n/lt.json'

i18next.addResourceBundle('en', 'companyOrder', EN);
i18next.addResourceBundle('lt', 'companyOrder', LT);

export const CompanyOrdersListRoute = getExactRoute('companyOrder', 'menu.main', '/companyOrder', lazy(() => import('./layout/CompanyOrdersListLayout')), null, []);
export const CompanyOrdersCreateRoute = getHiddenRoute('companyOrder', 'menu.main', '/companyOrder/new', lazy(() => import('./layout/CompanyOrdersEditLayout')), null, []);
export const CompanyOrdersEditRoute = getHiddenRoute('companyOrder', 'menu.main', '/companyOrder/:id', lazy(() => import('./layout/CompanyOrdersEditLayout')), null, []);


const CompanyOrdersRoute = (
  <>
    {CompanyOrdersListRoute}
    {CompanyOrdersCreateRoute}
    {CompanyOrdersEditRoute}
  </>
);

export default CompanyOrdersRoute;
